#
#	File:		MouseModule.make
#
#	Contains:	Make for for USB Mouse HID module
#
#	Version:	xxx put version here xxx
#
#	Copyright:	 1997-1998 by Apple Computer, Inc., all rights reserved.
#
MAKEFILE     = MouseModule.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     = -i {USBInterfacesInternal},{USBInterfacesExternal}
SymPPC      = -sym on 
MouseModuleTarget	= {USBTargets}Drivers:USBHIDMouseModule

PPCCOptions  = {Includes} {SymPPC}   {NeptuneCOptions}

LinkPPC		=	PPCLink

ObjectsPPC	=	"{USBObjects}MouseModule.c.o"				
				"{USBObjects}MouseModuleHeader.c.o" 		
				"{USBObjects}HIDEmulation.c.o" 				
				"{USBObjects}MouseConfigParse.c.o"

MouseModule  "{USBReleaseExtensions}USBHIDMouseModule"  

"{USBReleaseExtensions}USBHIDMouseModule"   "{MouseModuleTarget}" 
		duplicate -y "{MouseModuleTarget}"  {Targ}
		
{MouseModuleTarget}		{MondoBuild}  {ObjectsPPC}	 "{USBInterfacesInternal}USBHIDModule.exp"
	delete -i "{Targ}.xcoff"
	delete -i "{Targ}.dbg"
	{LinkPPC}												
		-map "{USBMapDir}USBHIDMouseModule.map" 				
		-t 'ndrv'											
		-c 'usbd'											
		-o {MouseModuleTarget} {SymPPC} 					
		{ObjectsPPC} 										
		-xm sharedlibrary									
		-share context										
		-@export "{USBInterfacesInternal}USBHIDModule.exp"	
		"{USBLibraries}USBServicesLib" 						
		"{SharedLibraries}InterfaceLib" 					
		"{StubLibsDir}CursorDevicesLib"						
		"{PPCLibraries}PPCCRuntime.o"


{MouseModuleTarget}		"{USBInterfacesInternal}PackageVersion.h"	
						"MouseModuleVersion.h"				
						"MouseModule.r"						
						{MondoBuild}
	Rez														
		-i "{USBInterfacesInternal}"						
		-i "{RIncludes}"									
		"{RIncludes}Types.r"								
		"MouseModule.r"										
		-a													
		-o {Targ}
		
"{USBObjects}MouseModuleHeader.c.o"		"MouseModuleHeader.c"			
										"{USBInterfacesExternal}USB.h"	
										"{USBInterfacesInternal}PackageVersion.h"			
										"MouseModuleVersion.h"			
										"MouseModule.h"						
	{PPCC} MouseModuleHeader.c -o {Targ} {PPCCOptions}

"{USBObjects}MouseModule.c.o"		"MouseModule.c"						
										"{USBInterfacesExternal}USB.h"	
										"MouseModule.h"
	{PPCC} MouseModule.c -o {Targ} {PPCCOptions}

"{USBObjects}HIDEmulation.c.o"		"HIDEmulation.c"					
									"{USBInterfacesExternal}USB.h"		
									"MouseModule.h"
	{PPCC} HIDEmulation.c -o {Targ} {PPCCOptions}

"{USBObjects}MouseConfigParse.c.o"		"MouseConfigParse.c"			
										"{USBInterfacesExternal}USB.h"	
										"MouseModule.h"						
	{PPCC} MouseConfigParse.c -o {Targ} {PPCCOptions}

Clean 
	Delete -i {ObjectsPPC}
	Delete -i {MouseModuleTarget} 
	Delete -i "{USBReleaseExtensions}USBHIDMouseModule"