#
#	File:		PrinterClassDriver.make
#
#	Contains:	USB Printer Class Driver makefile
#
#	Version:	1.0d4
#


USB_PCD_Dir				=	{USBDrivers}PrinterClassDriver:
USB_PCD_MakeFile		=	{USB_PCD_Dir}PrinterClassDriver_SSW.make

#
#	include paths
#
PCD_Includes			=	-i {USB_PCD_Dir}			
							-i {USBInterfacesInternal}	
							-i {USBInterfacesExternal}

#
#	symbol options
#
PCD_Sym					=	-sym on

PrintDriverTarget		= {USBTargets}Drivers:USBPrintDriver
		
#
#	compiler options
#

PCD_PPC_COptions		=	{PCD_Includes} -align mac68k
PCD_68K_C				=	SC
PCD_68K_COptions		=	{PCD_Includes} -b

		
#
#	PPC and 68K objects
#
PCD_PPC_Objects			=	{ObjDir}PrinterClassDriver.c.x		
							{ObjDir}PrintDriverShell.c.x		
							{ObjDir}TradDriverLoaderLib.c.x		
							{ObjDir}MissingLibraryRoutines.c.x

PCD_68K_Objects			=	{ObjDir}USB_Printer_DrvrGlue.a.o 	
							{ObjDir}USBPrint.c.o

PCD_LibsToLinkWith		=	{SharedLibraries}DriverServicesLib		
							{SharedLibraries}NameRegistryLib		
							{SharedLibraries}StdCLib				
							{SharedLibraries}InterfaceLib 			
							{SharedLibraries}DriverLoaderLib		
							{PPCLibraries}PPCCRuntime.o

PCD_LocalLibsToLinkWith	=	{StubLibsDir}USBServicesLib

#  #
#		Main build target		#
#  #

PrinterClassDriver		{PrintDriverTarget}


{PrintDriverTarget}		{USBInterfacesInternal}PackageVersion.h		
						{USB_PCD_Dir}PrinterClassVersion.h			
						{USB_PCD_Dir}PrinterClassDriver.r
	Rez	-a -o {Targ}						
		-i {RIncludes}						
		-i {USBInterfacesInternal}			
		{RIncludes}Types.r					
		{USB_PCD_Dir}PrinterClassDriver.r
		
#
#	legacy DRVR is compiled with 68K compiler
#		and added into the USBPrintDriver file
#
{PrintDriverTarget} 	{PCD_68K_Objects} {USB_PCD_Dir}PrinterClassVersion.h
	Link	-o {Targ}  {PCD_Sym}  -d				
			{PCD_68K_Objects}						
			-sg USBPrintDriver						
			-rt 'DRVR=12'							
			-ra USBPrintDriver=resSysHeap,resLocked


#
#	printer class driver is compiled with PPC compiler
#		and added into the USBPrintDriver file
#
{PrintDriverTarget} 	{PCD_PPC_Objects}							
						{PCD_LocalLibsToLinkWith}					
						{USBInterfacesInternal}USBClassDriver.exp
	PPCLink -o {Targ}  -xm sharedlibrary  -t 'ndrv'  -c 'usbd'		
	 		-map {USBMapDir}USBPrinterDriver.map					
			{PCD_PPC_Objects} 										
			{PCD_LocalLibsToLinkWith}								
			{PCD_LibsToLinkWith}									
	 		-init CFMInitialization									
			-@export {USBInterfacesInternal}USBClassDriver.exp		
			-share context  -w  -d  {PCD_Sym}

{USBReleaseExtensions}USBPrintDriver		{PrintDriverTarget} 
		duplicate -y {PrintDriverTarget}  {Targ}


#
#	printer class driver
#
{ObjDir}PrinterClassDriver.c.x			{USB_PCD_Dir}PrinterClassDriver.c 	
										{USBInterfacesExternal}USB.h		
                                   		{USB_PCD_Dir}PrinterClassDriver.h
	{USB_C_Compiler} -o {Targ} {StdMrCOpts} {PCD_PPC_COptions} {USB_PCD_Dir}PrinterClassDriver.c

#
#	auxillary routines to load the DRVR into the unit table
#
{ObjDir}TradDriverLoaderLib.c.x			{USB_PCD_Dir}TradDriverLoaderLib.c	
                                   		{USB_PCD_Dir}TradDriverLoaderLib.h
	{USB_C_Compiler} -o {Targ} {StdMrCOpts} {PCD_PPC_COptions} {USB_PCD_Dir}TradDriverLoaderLib.c

{ObjDir}MissingLibraryRoutines.c.x		{USB_PCD_Dir}MissingLibraryRoutines.c
	{USB_C_Compiler} -o {Targ} {StdMrCOpts} {PCD_PPC_COptions} {USB_PCD_Dir}MissingLibraryRoutines.c


#
#	printer class driver USB interfaces
#
{ObjDir}PrintDriverShell.c.x			{USB_PCD_Dir}PrintDriverShell.c 		
										{USBInterfacesInternal}PackageVersion.h	
 										{USBInterfacesExternal}USB.h			
                                 		{USB_PCD_Dir}PrinterClassDriver.h
	{USB_C_Compiler} -o {Targ} {StdMrCOpts} {PCD_PPC_COptions} {USB_PCD_Dir}PrintDriverShell.c

#
#	legacy DRVR system interface 68K asm
#
{ObjDir}USB_Printer_DrvrGlue.a.o		{USB_PCD_Dir}DrvrGlue.a
	Asm {USB_PCD_Dir}DrvrGlue.a -o {Targ} {StdAOptions}

#
#	legacy DRVR implementation
#
{ObjDir}USBPrint.c.o					{USB_PCD_Dir}USBPrint.c				
										{USB_PCD_Dir}PrinterClassDriver.h
	{PCD_68K_C} -o {Targ} {PCD_68K_COptions} {USB_PCD_Dir}USBPrint.c


#
#	clean all the binaries before building
#
Clean_USB 
	Delete -i {PCD_PPC_Objects}
	Delete -i {PCD_68K_Objects}
	Delete -i {PrintDriverTarget} 

# eof
