/*
	File:		StorageClassDriverAPI.c

	Contains:	xxx put contents here xxx

	Version:	xxx put version here xxx

	Copyright:	 1998 by Apple Computer, Inc., all rights reserved.


*/



#include <Errors.h>
#include "SampleStorageDriverAPI.h"

//
// These functions are found in StorageClassDriver.c
//
extern OSStatus StorageClassDriverInitialize(void);

extern OSStatus StorageClassDriverControl(UInt32 theControlSelector, void *theControlData);

extern OSStatus StorageClassDriverStatus(UInt32 theInfoSelector, void *theInfo);

extern OSStatus StorageClassDriverBlockRead(StorageBlockRWPBPtr storageBlockRWPBPtr );

extern OSStatus StorageClassDriverBlockWrite(StorageBlockRWPBPtr storageBlockRWPBPtr );

extern OSStatus StorageClassDriverExecuteCommand(StorageExecuteCommandPBPtr storageExecuteCommandPBPtr);



OSStatus StorageInitialize(void)
{
OSStatus	status;

	status = StorageClassDriverInitialize();
	
	return status;
}

OSStatus StorageControl(UInt32 theControlSelector, void * theControlData)
{
OSStatus	status;

	status = StorageClassDriverControl(theControlSelector, theControlData);

	return status;
}

OSStatus StorageStatus(UInt32 theInfoSelector, void *theInfo)
{
#pragma unused (theInfoSelector, theInfo)
OSStatus	status;

	status = StorageClassDriverStatus(theInfoSelector, theInfo);

	return status;
}

#if 0
OSStatus StorageBlockRead(StorageBlockRWPBPtr storageBlockRWPBPtr )
{
OSStatus	status;

	status = StorageClassDriverBlockRead(storageBlockRWPBPtr);
	
	return status;
}

OSStatus StorageBlockWrite(StorageBlockRWPBPtr storageBlockRWPBPtr )
{
OSStatus	status;

	status = StorageClassDriverBlockWrite(storageBlockRWPBPtr);
	
	return status;
}
#endif

OSStatus StorageExecuteCommand(StorageExecuteCommandPBPtr storageExecuteCommandPBPtr)
{
OSStatus	status;

	status = StorageClassDriverExecuteCommand(storageExecuteCommandPBPtr);
	
	return status;
}



StorageClassDispatchTable TheStorageClassDispatchTable =
{
	(UInt32)						kDispatchTableVersion,
	(StorageInitializeProcPtr)		StorageInitialize,
	(StorageControlProcPtr)			StorageControl,
	(StorageStatusProcPtr)			StorageStatus,
//	(StorageBlockRWProcPtr)			StorageBlockRead,
//	(StorageBlockRWProcPtr)			StorageBlockWrite,
	(StorageExecuteCommandProcPtr)	StorageExecuteCommand
};
