#
#	File:		StorageClassShim.make
#
#	Contains:	Make file for USB LS-120 Unittable driver
#
#	Version:	1.0
#
#	Copyright:	 1997-1998 by Apple Computer, Inc., all rights reserved.
#

MAKEFILE     = USBStorageClassShim.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified

#
#	symbol options
#
SymPPC      =  -sym full

#
#	object directory
#
ObjDirPPC   = ::Objects:

#
#	Target directory
#
TargetDir	 = ::Targets:

#
#	Headers and Libraries directory
#
LibrariesDir = ::Headers&Libraries:

#
# Sample Drivers Shared Headers directory
#
SharedHeadersDir = ::SampleDriverSharedHeaders:


StorageClassShimTarget	= {TargetDir}USBStorageClassShim
DriverTarget		= {ObjDirPPC}StorageClassUTDriver
DriverTargetRsrc	= {ObjDirPPC}StorageClassUTDriver.rsrc
DriverTargetRsrcNum = 128
RezOptions	 = -d MPW=1 

#
#	compiler options
#
PPCCOptions  = -i {SharedHeadersDir} {SymPPC} -d DEBUG=0 -align mac68k

#
#	PPC objects
#
ObjectsPPC	=	"{ObjDirPPC}StorageClassShim.c.o"					
				"{ObjDirPPC}DriverIcons.c.o" 						
				"{ObjDirPPC}StorageClassUTFunctions.c.o" 			
				"{ObjDirPPC}StorageClassUTDriver.c.o" 

USBStorageClassShim  "{StorageClassShimTarget}"  

{StorageClassShimTarget}			{MondoBuild}  				
									{ObjectsPPC}					
									"USBShim.exp"
	delete -i "{Targ}.xcoff"
	delete -i "{Targ}.dbg"
	PPCLink															
		-map "{ObjDirPPC}USBStorageClassShim.map"					
		-t 'ndrv'													
		-c 'usbs'													
		-o {StorageClassShimTarget} {SymPPC} 						
		{ObjectsPPC} 												
		-xm sharedlibrary											
		-term USBShimTermination									
		-share context												
		-@export "USBShim.exp"										
		-init CFragInitRoutine 										
		-mf -d 														
		"{SharedLibraries}DriverServicesLib" 						
		"{SharedLibraries}DriverLoaderLib" 							
		"{SharedLibraries}NameRegistryLib" 							
		"{SharedLibraries}InterfaceLib" 							
		"{SharedLibraries}StdCLib"									
		"{PPCLibraries}PPCCRuntime.o" 								
		"{LibrariesDir}USBManagerLib" 								
		"{LibrariesDir}USBServicesLib"


{StorageClassShimTarget}		"{SharedHeadersDir}SampleStorageVersion.h"			
						"StorageClassShim.r"						
						{MondoBuild}
	Rez																
		-i "{RIncludes}"											
		-i "{SharedHeadersDir}"										
		"{RIncludes}Types.r"										
		"StorageClassShim.r"										
		-a															
		-o {Targ}
		

"{StorageClassShimTarget}"		"{ObjDirPPC}StorageClassUTDriver" 
	Echo															
		"read														
			'ndrv'													
			(														
				{DriverTargetRsrcNum},								
				"StorageClassUTDriver",							
				preload,											
				sysheap,											
				locked												
			)														
			"{ObjDirPPC}StorageClassUTDriver";" |				
	Rez																
		{RezOptions}												
		-a															
		-o {Targ}


		
"{ObjDirPPC}StorageClassUTDriver"			{MondoBuild}  							
											"{ObjDirPPC}StorageClassUTDriver.c.o"		
											"{ObjDirPPC}StorageClassUTFunctions.c.o"	
											"{ObjDirPPC}DriverIcons.c.o"				
											"StorageClassUTDriver.exp"
	PPCLink															
		-map "{ObjDirPPC}StorageClassUTDriver.map"					
		-t 'ndrv'													
		-o "{ObjDirPPC}StorageClassUTDriver" {SymPPC} 			
		{ObjDirPPC}StorageClassUTDriver.c.o						
		{ObjDirPPC}StorageClassUTFunctions.c.o						
		{ObjDirPPC}DriverIcons.c.o									
		-xm sharedlibrary											
		-share context												
		-@export "StorageClassUTDriver.exp"							
		"{LibrariesDir}IconServicesLib"								
		"{SharedLibraries}DriverLoaderLib" 							
		"{SharedLibraries}DriverServicesLib" 						
		"{SharedLibraries}InterfaceLib" 							
		"{PPCLibraries}PPCCRuntime.o"								
		-weaklib IconServicesLib

	
"{ObjDirPPC}StorageClassUTDriver.c.o"		"StorageClassUTDriver.c"		
											"StorageClassUTDriver.h"		
											"StorageClassUTFunctions.h"
	{PPCC} StorageClassUTDriver.c -o {Targ} {PPCCOptions}
	

"{ObjDirPPC}StorageClassUTFunctions.c.o"		"StorageClassUTFunctions.c"	
											"StorageClassUTDriver.h"		
											"StorageClassUTFunctions.h"		
											"{SharedHeadersDir}SampleStorageDriverAPI.h"		
											"DriverIcons.h"					
											"BlockDriverPriv.h"
	{PPCC} StorageClassUTFunctions.c -o {Targ} {PPCCOptions}
	

"{ObjDirPPC}DriverIcons.c.o"		"DriverIcons.c"							
											"DriverIcons.h"
	{PPCC} DriverIcons.c -o {Targ} {PPCCOptions}
	

"{ObjDirPPC}StorageClassShim.c.o"			"StorageClassShim.c"			
											"{LibrariesDir}USB.h"			
											"{SharedHeadersDir}SampleStorageVersion.h"		
											"StorageClassShim.h"
	{PPCC} StorageClassShim.c -o {Targ} {PPCCOptions}


Clean 
	Delete -i {ObjectsPPC}
	Delete -i {StorageClassShimTarget} 
	Delete -i "{TargetDir}USBStorageClassShim"